[arch-commits] Commit in kdeadmin/repos (3 files)

Andrea Scarpino andrea at archlinux.org
Fri Nov 6 09:12:45 EST 2009


    Date: Friday, November 6, 2009 @ 09:12:45
  Author: andrea
Revision: 58238

Merged revisions 58237 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/kdeadmin/trunk

........
  r58237 | andrea | 2009-11-06 15:12:01 +0100 (Fri, 06 Nov 2009) | 2 lines
  
  upgpkg: kdeadmin 4.3.3-2
      FS#17015
........

Added:
  kdeadmin/repos/extra-i686/fix-translations-strings.patch
    (from rev 58237, kdeadmin/trunk/fix-translations-strings.patch)
Modified:
  kdeadmin/repos/extra-i686/	(properties)
  kdeadmin/repos/extra-i686/PKGBUILD

--------------------------------+
 PKGBUILD                       |   10 +++++++---
 fix-translations-strings.patch |   11 +++++++++++
 2 files changed, 18 insertions(+), 3 deletions(-)


Property changes on: kdeadmin/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /kdeadmin/trunk:1-57962
   + /kdeadmin/trunk:1-58237

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-06 14:12:01 UTC (rev 58237)
+++ extra-i686/PKGBUILD	2009-11-06 14:12:45 UTC (rev 58238)
@@ -7,20 +7,24 @@
          'kdeadmin-kuser'
          'kdeadmin-system-config-printer-kde')
 pkgver=4.3.3
-pkgrel=1
+pkgrel=2
 arch=('i686' 'x86_64')
 url='http://www.kde.org'
 license=('GPL' 'LGPL' 'FDL')
 groups=('kde' 'kdeadmin')
 makedepends=('pkgconfig' 'cmake' 'automoc4' 'kdepimlibs' 'kdebase-runtime' 'kdebindings-python' 'system-config-printer-common')
 source=("http://download.kde.org/stable/${pkgver}/src/${pkgbase}-${pkgver}.tar.bz2"
-	'fix-syslog-path.patch')
+	'fix-syslog-path.patch'
+	'fix-translations-strings.patch')
 md5sums=('f83af0034fd1f040ec8eb8b3baa3301a'
-         '41b71823c7a33975ec08aaf75d67a374')
+         '41b71823c7a33975ec08aaf75d67a374'
+         'f465c3dd0f99d93173e7e0fe09e2e067')
 
 build() {
 	cd $srcdir/${pkgbase}-${pkgver}
 	patch -p1 -i ${srcdir}/fix-syslog-path.patch || return 1
+	# fixed in 4.4.0
+	patch -p1 -i ${srcdir}/fix-translations-strings.patch || return 1
 	cd ..
 	mkdir build
 	cd build

Copied: kdeadmin/repos/extra-i686/fix-translations-strings.patch (from rev 58237, kdeadmin/trunk/fix-translations-strings.patch)
===================================================================
--- extra-i686/fix-translations-strings.patch	                        (rev 0)
+++ extra-i686/fix-translations-strings.patch	2009-11-06 14:12:45 UTC (rev 58238)
@@ -0,0 +1,11 @@
+--- trunk/KDE/kdeadmin/system-config-printer-kde/system-config-printer-kde.py	2009/10/13 13:30:13	1034768
++++ trunk/KDE/kdeadmin/system-config-printer-kde/system-config-printer-kde.py	2009/10/13 13:30:30	1034769
+@@ -48,7 +48,7 @@
+ 
+ #use _() to keep code the same as gnome system-config-printer
+ def _(string):
+-    return unicode(i18n(string), "utf-8")
++    return unicode(i18n(string))
+ 
+ def translate(self, prop):
+     """reimplement method from uic to change it to use gettext"""



More information about the arch-commits mailing list